package extend.zp.tip;


import extend.zp.EXPlayer;


public class Action {
	
	public Tip		tip;
	public EXPlayer	player;

	public Action(Tip tip, EXPlayer player) {
		this.tip = tip;
		this.player = player;

	}

	public void run() {
		this.player.actionTip = tip;
		this.tip.rule.action(this.player);
	}

}
